export { Store } from './Store';
import { IFilesMutate, IFileStat, INodeFileStat, IEdit, IContent, IFinderOptions } from '@files-stack/client-core';
export declare const reducers: {
    '@files/edit': (state: IEdit, action: {
        type: "@@files-stack/OPEN_FILE";
        content: IContent;
    } | {
        type: "@@files-stack/REMOVE_EDIT";
        content: IContent;
    } | {
        type: "@@files-stack/SELECT_EDIT";
        content: IContent;
    } | {
        type: "@@files-stack/CHANGE_EDIT";
        changed: boolean;
    } | {
        type: "@@files-stack/ACTIVATE_EDITOR";
        editorId: number;
    } | {
        type: "@@files-stack/UPDATE_EDITORS_HEIGHT";
        editorWrappers: any[];
    } | {
        type: "@@files-stack/OPEN_MARKDOWN";
        content: IContent;
        previewEditorId: number;
    } | {
        type: "@@files-stack/SAVE_ALL_EDITORS";
        allSave: boolean;
    } | {
        type: "@@files-stack/CLOSE_ALL_EDITORS";
    } | {
        type: "@@files-stack/KEEP_OPEN_EDITOR";
        content: IContent;
    } | {
        type: "@@files-stack/CHANGE_EDITOR_SUBSCRIBES";
        editorSubscribes: string[];
    } | {
        type: "@@files-stack/UPDATE_EDITOR_CONTENT";
        content: IContent;
    } | {
        type: "@@files-stack/UPDATE_EDITOR_SOURCE_CONTENT";
        resource: string;
    }) => IEdit;
    '@files/allSave': (state: boolean, action: {
        type: "@@files-stack/OPEN_FILE";
        content: IContent;
    } | {
        type: "@@files-stack/REMOVE_EDIT";
        content: IContent;
    } | {
        type: "@@files-stack/SELECT_EDIT";
        content: IContent;
    } | {
        type: "@@files-stack/CHANGE_EDIT";
        changed: boolean;
    } | {
        type: "@@files-stack/ACTIVATE_EDITOR";
        editorId: number;
    } | {
        type: "@@files-stack/UPDATE_EDITORS_HEIGHT";
        editorWrappers: any[];
    } | {
        type: "@@files-stack/OPEN_MARKDOWN";
        content: IContent;
        previewEditorId: number;
    } | {
        type: "@@files-stack/SAVE_ALL_EDITORS";
        allSave: boolean;
    } | {
        type: "@@files-stack/CLOSE_ALL_EDITORS";
    } | {
        type: "@@files-stack/KEEP_OPEN_EDITOR";
        content: IContent;
    } | {
        type: "@@files-stack/CHANGE_EDITOR_SUBSCRIBES";
        editorSubscribes: string[];
    } | {
        type: "@@files-stack/UPDATE_EDITOR_CONTENT";
        content: IContent;
    } | {
        type: "@@files-stack/UPDATE_EDITOR_SOURCE_CONTENT";
        resource: string;
    }) => boolean;
    '@files/editorSubscribes': (state: any[], action: {
        type: "@@files-stack/OPEN_FILE";
        content: IContent;
    } | {
        type: "@@files-stack/REMOVE_EDIT";
        content: IContent;
    } | {
        type: "@@files-stack/SELECT_EDIT";
        content: IContent;
    } | {
        type: "@@files-stack/CHANGE_EDIT";
        changed: boolean;
    } | {
        type: "@@files-stack/ACTIVATE_EDITOR";
        editorId: number;
    } | {
        type: "@@files-stack/UPDATE_EDITORS_HEIGHT";
        editorWrappers: any[];
    } | {
        type: "@@files-stack/OPEN_MARKDOWN";
        content: IContent;
        previewEditorId: number;
    } | {
        type: "@@files-stack/SAVE_ALL_EDITORS";
        allSave: boolean;
    } | {
        type: "@@files-stack/CLOSE_ALL_EDITORS";
    } | {
        type: "@@files-stack/KEEP_OPEN_EDITOR";
        content: IContent;
    } | {
        type: "@@files-stack/CHANGE_EDITOR_SUBSCRIBES";
        editorSubscribes: string[];
    } | {
        type: "@@files-stack/UPDATE_EDITOR_CONTENT";
        content: IContent;
    } | {
        type: "@@files-stack/UPDATE_EDITOR_SOURCE_CONTENT";
        resource: string;
    }) => string[];
    '@files/updatedEditorContentResource': (state: string, action: {
        type: "@@files-stack/OPEN_FILE";
        content: IContent;
    } | {
        type: "@@files-stack/REMOVE_EDIT";
        content: IContent;
    } | {
        type: "@@files-stack/SELECT_EDIT";
        content: IContent;
    } | {
        type: "@@files-stack/CHANGE_EDIT";
        changed: boolean;
    } | {
        type: "@@files-stack/ACTIVATE_EDITOR";
        editorId: number;
    } | {
        type: "@@files-stack/UPDATE_EDITORS_HEIGHT";
        editorWrappers: any[];
    } | {
        type: "@@files-stack/OPEN_MARKDOWN";
        content: IContent;
        previewEditorId: number;
    } | {
        type: "@@files-stack/SAVE_ALL_EDITORS";
        allSave: boolean;
    } | {
        type: "@@files-stack/CLOSE_ALL_EDITORS";
    } | {
        type: "@@files-stack/KEEP_OPEN_EDITOR";
        content: IContent;
    } | {
        type: "@@files-stack/CHANGE_EDITOR_SUBSCRIBES";
        editorSubscribes: string[];
    } | {
        type: "@@files-stack/UPDATE_EDITOR_CONTENT";
        content: IContent;
    } | {
        type: "@@files-stack/UPDATE_EDITOR_SOURCE_CONTENT";
        resource: string;
    }) => string;
    '@files/selectedFile': (state: IFileStat, action: {
        type: "@@files-stack/SET_ROOTPATH";
        rootpath: string;
    } | {
        type: "@@files-stack/REFRESH_DIRECTORY";
    } | {
        type: "@@files-stack/SELECT_FILE";
        fileStat: IFileStat;
    } | {
        type: "@@files-stack/DRAG_OVER_FILE";
        fileStat: IFileStat;
        path: number[];
    } | {
        type: "@@files-stack/MUTATE_FILES";
        mutation: string;
        payload: any;
    } | {
        type: "@@files-stack/MUTATE_FILES_COMPLETE";
    } | {
        type: "@@files-stack/MUTATE_FILES_RESET";
    } | {
        type: "@@files-stack/NEW_FILE";
        payload: any;
    } | {
        type: "@@files-stack/NEW_FOLDER";
        payload: any;
    } | {
        type: "@@files-stack/TOGGLE_EDITORS_EXPAND";
        expand: boolean;
    } | {
        type: "@@files-stack/ADD_SUBSCRIBE";
        subscribe: any;
    } | {
        type: "@@files-stack/SET_CREATING_FILE";
        payload: any;
    } | {
        type: "@@files-stack/DESELECT_FILE";
        resource: string;
    } | {
        type: "@@files-stack/SET_TREE_DATA";
        treeData: any[];
    } | {
        type: "@@files-stack/SET_ROOT_EXPAND";
        expand: boolean;
    } | {
        type: "@@files-stack/SET_FINDER_OPTIONS";
        options: IFinderOptions;
    }) => IFileStat;
    '@files/rootpath': (state: string, action: {
        type: "@@files-stack/SET_ROOTPATH";
        rootpath: string;
    } | {
        type: "@@files-stack/REFRESH_DIRECTORY";
    } | {
        type: "@@files-stack/SELECT_FILE";
        fileStat: IFileStat;
    } | {
        type: "@@files-stack/DRAG_OVER_FILE";
        fileStat: IFileStat;
        path: number[];
    } | {
        type: "@@files-stack/MUTATE_FILES";
        mutation: string;
        payload: any;
    } | {
        type: "@@files-stack/MUTATE_FILES_COMPLETE";
    } | {
        type: "@@files-stack/MUTATE_FILES_RESET";
    } | {
        type: "@@files-stack/NEW_FILE";
        payload: any;
    } | {
        type: "@@files-stack/NEW_FOLDER";
        payload: any;
    } | {
        type: "@@files-stack/TOGGLE_EDITORS_EXPAND";
        expand: boolean;
    } | {
        type: "@@files-stack/ADD_SUBSCRIBE";
        subscribe: any;
    } | {
        type: "@@files-stack/SET_CREATING_FILE";
        payload: any;
    } | {
        type: "@@files-stack/DESELECT_FILE";
        resource: string;
    } | {
        type: "@@files-stack/SET_TREE_DATA";
        treeData: any[];
    } | {
        type: "@@files-stack/SET_ROOT_EXPAND";
        expand: boolean;
    } | {
        type: "@@files-stack/SET_FINDER_OPTIONS";
        options: IFinderOptions;
    }) => string;
    '@files/refresh': (state: number, action: {
        type: "@@files-stack/SET_ROOTPATH";
        rootpath: string;
    } | {
        type: "@@files-stack/REFRESH_DIRECTORY";
    } | {
        type: "@@files-stack/SELECT_FILE";
        fileStat: IFileStat;
    } | {
        type: "@@files-stack/DRAG_OVER_FILE";
        fileStat: IFileStat;
        path: number[];
    } | {
        type: "@@files-stack/MUTATE_FILES";
        mutation: string;
        payload: any;
    } | {
        type: "@@files-stack/MUTATE_FILES_COMPLETE";
    } | {
        type: "@@files-stack/MUTATE_FILES_RESET";
    } | {
        type: "@@files-stack/NEW_FILE";
        payload: any;
    } | {
        type: "@@files-stack/NEW_FOLDER";
        payload: any;
    } | {
        type: "@@files-stack/TOGGLE_EDITORS_EXPAND";
        expand: boolean;
    } | {
        type: "@@files-stack/ADD_SUBSCRIBE";
        subscribe: any;
    } | {
        type: "@@files-stack/SET_CREATING_FILE";
        payload: any;
    } | {
        type: "@@files-stack/DESELECT_FILE";
        resource: string;
    } | {
        type: "@@files-stack/SET_TREE_DATA";
        treeData: any[];
    } | {
        type: "@@files-stack/SET_ROOT_EXPAND";
        expand: boolean;
    } | {
        type: "@@files-stack/SET_FINDER_OPTIONS";
        options: IFinderOptions;
    }) => number;
    '@files/mutate': (state: IFilesMutate, action: {
        type: "@@files-stack/SET_ROOTPATH";
        rootpath: string;
    } | {
        type: "@@files-stack/REFRESH_DIRECTORY";
    } | {
        type: "@@files-stack/SELECT_FILE";
        fileStat: IFileStat;
    } | {
        type: "@@files-stack/DRAG_OVER_FILE";
        fileStat: IFileStat;
        path: number[];
    } | {
        type: "@@files-stack/MUTATE_FILES";
        mutation: string;
        payload: any;
    } | {
        type: "@@files-stack/MUTATE_FILES_COMPLETE";
    } | {
        type: "@@files-stack/MUTATE_FILES_RESET";
    } | {
        type: "@@files-stack/NEW_FILE";
        payload: any;
    } | {
        type: "@@files-stack/NEW_FOLDER";
        payload: any;
    } | {
        type: "@@files-stack/TOGGLE_EDITORS_EXPAND";
        expand: boolean;
    } | {
        type: "@@files-stack/ADD_SUBSCRIBE";
        subscribe: any;
    } | {
        type: "@@files-stack/SET_CREATING_FILE";
        payload: any;
    } | {
        type: "@@files-stack/DESELECT_FILE";
        resource: string;
    } | {
        type: "@@files-stack/SET_TREE_DATA";
        treeData: any[];
    } | {
        type: "@@files-stack/SET_ROOT_EXPAND";
        expand: boolean;
    } | {
        type: "@@files-stack/SET_FINDER_OPTIONS";
        options: IFinderOptions;
    }) => IFilesMutate;
    '@files/dragOveredFile': (state: INodeFileStat, action: {
        type: "@@files-stack/SET_ROOTPATH";
        rootpath: string;
    } | {
        type: "@@files-stack/REFRESH_DIRECTORY";
    } | {
        type: "@@files-stack/SELECT_FILE";
        fileStat: IFileStat;
    } | {
        type: "@@files-stack/DRAG_OVER_FILE";
        fileStat: IFileStat;
        path: number[];
    } | {
        type: "@@files-stack/MUTATE_FILES";
        mutation: string;
        payload: any;
    } | {
        type: "@@files-stack/MUTATE_FILES_COMPLETE";
    } | {
        type: "@@files-stack/MUTATE_FILES_RESET";
    } | {
        type: "@@files-stack/NEW_FILE";
        payload: any;
    } | {
        type: "@@files-stack/NEW_FOLDER";
        payload: any;
    } | {
        type: "@@files-stack/TOGGLE_EDITORS_EXPAND";
        expand: boolean;
    } | {
        type: "@@files-stack/ADD_SUBSCRIBE";
        subscribe: any;
    } | {
        type: "@@files-stack/SET_CREATING_FILE";
        payload: any;
    } | {
        type: "@@files-stack/DESELECT_FILE";
        resource: string;
    } | {
        type: "@@files-stack/SET_TREE_DATA";
        treeData: any[];
    } | {
        type: "@@files-stack/SET_ROOT_EXPAND";
        expand: boolean;
    } | {
        type: "@@files-stack/SET_FINDER_OPTIONS";
        options: IFinderOptions;
    }) => INodeFileStat;
    '@files/editorsExpand': (state: boolean, action: {
        type: "@@files-stack/SET_ROOTPATH";
        rootpath: string;
    } | {
        type: "@@files-stack/REFRESH_DIRECTORY";
    } | {
        type: "@@files-stack/SELECT_FILE";
        fileStat: IFileStat;
    } | {
        type: "@@files-stack/DRAG_OVER_FILE";
        fileStat: IFileStat;
        path: number[];
    } | {
        type: "@@files-stack/MUTATE_FILES";
        mutation: string;
        payload: any;
    } | {
        type: "@@files-stack/MUTATE_FILES_COMPLETE";
    } | {
        type: "@@files-stack/MUTATE_FILES_RESET";
    } | {
        type: "@@files-stack/NEW_FILE";
        payload: any;
    } | {
        type: "@@files-stack/NEW_FOLDER";
        payload: any;
    } | {
        type: "@@files-stack/TOGGLE_EDITORS_EXPAND";
        expand: boolean;
    } | {
        type: "@@files-stack/ADD_SUBSCRIBE";
        subscribe: any;
    } | {
        type: "@@files-stack/SET_CREATING_FILE";
        payload: any;
    } | {
        type: "@@files-stack/DESELECT_FILE";
        resource: string;
    } | {
        type: "@@files-stack/SET_TREE_DATA";
        treeData: any[];
    } | {
        type: "@@files-stack/SET_ROOT_EXPAND";
        expand: boolean;
    } | {
        type: "@@files-stack/SET_FINDER_OPTIONS";
        options: IFinderOptions;
    }) => boolean;
    '@files/rootExpand': (state: boolean, action: {
        type: "@@files-stack/SET_ROOTPATH";
        rootpath: string;
    } | {
        type: "@@files-stack/REFRESH_DIRECTORY";
    } | {
        type: "@@files-stack/SELECT_FILE";
        fileStat: IFileStat;
    } | {
        type: "@@files-stack/DRAG_OVER_FILE";
        fileStat: IFileStat;
        path: number[];
    } | {
        type: "@@files-stack/MUTATE_FILES";
        mutation: string;
        payload: any;
    } | {
        type: "@@files-stack/MUTATE_FILES_COMPLETE";
    } | {
        type: "@@files-stack/MUTATE_FILES_RESET";
    } | {
        type: "@@files-stack/NEW_FILE";
        payload: any;
    } | {
        type: "@@files-stack/NEW_FOLDER";
        payload: any;
    } | {
        type: "@@files-stack/TOGGLE_EDITORS_EXPAND";
        expand: boolean;
    } | {
        type: "@@files-stack/ADD_SUBSCRIBE";
        subscribe: any;
    } | {
        type: "@@files-stack/SET_CREATING_FILE";
        payload: any;
    } | {
        type: "@@files-stack/DESELECT_FILE";
        resource: string;
    } | {
        type: "@@files-stack/SET_TREE_DATA";
        treeData: any[];
    } | {
        type: "@@files-stack/SET_ROOT_EXPAND";
        expand: boolean;
    } | {
        type: "@@files-stack/SET_FINDER_OPTIONS";
        options: IFinderOptions;
    }) => boolean;
    '@files/subscriber': (state: any, action: {
        type: "@@files-stack/SET_ROOTPATH";
        rootpath: string;
    } | {
        type: "@@files-stack/REFRESH_DIRECTORY";
    } | {
        type: "@@files-stack/SELECT_FILE";
        fileStat: IFileStat;
    } | {
        type: "@@files-stack/DRAG_OVER_FILE";
        fileStat: IFileStat;
        path: number[];
    } | {
        type: "@@files-stack/MUTATE_FILES";
        mutation: string;
        payload: any;
    } | {
        type: "@@files-stack/MUTATE_FILES_COMPLETE";
    } | {
        type: "@@files-stack/MUTATE_FILES_RESET";
    } | {
        type: "@@files-stack/NEW_FILE";
        payload: any;
    } | {
        type: "@@files-stack/NEW_FOLDER";
        payload: any;
    } | {
        type: "@@files-stack/TOGGLE_EDITORS_EXPAND";
        expand: boolean;
    } | {
        type: "@@files-stack/ADD_SUBSCRIBE";
        subscribe: any;
    } | {
        type: "@@files-stack/SET_CREATING_FILE";
        payload: any;
    } | {
        type: "@@files-stack/DESELECT_FILE";
        resource: string;
    } | {
        type: "@@files-stack/SET_TREE_DATA";
        treeData: any[];
    } | {
        type: "@@files-stack/SET_ROOT_EXPAND";
        expand: boolean;
    } | {
        type: "@@files-stack/SET_FINDER_OPTIONS";
        options: IFinderOptions;
    }) => any;
    '@files/creatingFile': (state: any, action: {
        type: "@@files-stack/SET_ROOTPATH";
        rootpath: string;
    } | {
        type: "@@files-stack/REFRESH_DIRECTORY";
    } | {
        type: "@@files-stack/SELECT_FILE";
        fileStat: IFileStat;
    } | {
        type: "@@files-stack/DRAG_OVER_FILE";
        fileStat: IFileStat;
        path: number[];
    } | {
        type: "@@files-stack/MUTATE_FILES";
        mutation: string;
        payload: any;
    } | {
        type: "@@files-stack/MUTATE_FILES_COMPLETE";
    } | {
        type: "@@files-stack/MUTATE_FILES_RESET";
    } | {
        type: "@@files-stack/NEW_FILE";
        payload: any;
    } | {
        type: "@@files-stack/NEW_FOLDER";
        payload: any;
    } | {
        type: "@@files-stack/TOGGLE_EDITORS_EXPAND";
        expand: boolean;
    } | {
        type: "@@files-stack/ADD_SUBSCRIBE";
        subscribe: any;
    } | {
        type: "@@files-stack/SET_CREATING_FILE";
        payload: any;
    } | {
        type: "@@files-stack/DESELECT_FILE";
        resource: string;
    } | {
        type: "@@files-stack/SET_TREE_DATA";
        treeData: any[];
    } | {
        type: "@@files-stack/SET_ROOT_EXPAND";
        expand: boolean;
    } | {
        type: "@@files-stack/SET_FINDER_OPTIONS";
        options: IFinderOptions;
    }) => any;
    '@files/treeData': (state: any, action: {
        type: "@@files-stack/SET_ROOTPATH";
        rootpath: string;
    } | {
        type: "@@files-stack/REFRESH_DIRECTORY";
    } | {
        type: "@@files-stack/SELECT_FILE";
        fileStat: IFileStat;
    } | {
        type: "@@files-stack/DRAG_OVER_FILE";
        fileStat: IFileStat;
        path: number[];
    } | {
        type: "@@files-stack/MUTATE_FILES";
        mutation: string;
        payload: any;
    } | {
        type: "@@files-stack/MUTATE_FILES_COMPLETE";
    } | {
        type: "@@files-stack/MUTATE_FILES_RESET";
    } | {
        type: "@@files-stack/NEW_FILE";
        payload: any;
    } | {
        type: "@@files-stack/NEW_FOLDER";
        payload: any;
    } | {
        type: "@@files-stack/TOGGLE_EDITORS_EXPAND";
        expand: boolean;
    } | {
        type: "@@files-stack/ADD_SUBSCRIBE";
        subscribe: any;
    } | {
        type: "@@files-stack/SET_CREATING_FILE";
        payload: any;
    } | {
        type: "@@files-stack/DESELECT_FILE";
        resource: string;
    } | {
        type: "@@files-stack/SET_TREE_DATA";
        treeData: any[];
    } | {
        type: "@@files-stack/SET_ROOT_EXPAND";
        expand: boolean;
    } | {
        type: "@@files-stack/SET_FINDER_OPTIONS";
        options: IFinderOptions;
    }) => any;
    '@files/finderOptions': (state: IFinderOptions, action: {
        type: "@@files-stack/SET_ROOTPATH";
        rootpath: string;
    } | {
        type: "@@files-stack/REFRESH_DIRECTORY";
    } | {
        type: "@@files-stack/SELECT_FILE";
        fileStat: IFileStat;
    } | {
        type: "@@files-stack/DRAG_OVER_FILE";
        fileStat: IFileStat;
        path: number[];
    } | {
        type: "@@files-stack/MUTATE_FILES";
        mutation: string;
        payload: any;
    } | {
        type: "@@files-stack/MUTATE_FILES_COMPLETE";
    } | {
        type: "@@files-stack/MUTATE_FILES_RESET";
    } | {
        type: "@@files-stack/NEW_FILE";
        payload: any;
    } | {
        type: "@@files-stack/NEW_FOLDER";
        payload: any;
    } | {
        type: "@@files-stack/TOGGLE_EDITORS_EXPAND";
        expand: boolean;
    } | {
        type: "@@files-stack/ADD_SUBSCRIBE";
        subscribe: any;
    } | {
        type: "@@files-stack/SET_CREATING_FILE";
        payload: any;
    } | {
        type: "@@files-stack/DESELECT_FILE";
        resource: string;
    } | {
        type: "@@files-stack/SET_TREE_DATA";
        treeData: any[];
    } | {
        type: "@@files-stack/SET_ROOT_EXPAND";
        expand: boolean;
    } | {
        type: "@@files-stack/SET_FINDER_OPTIONS";
        options: IFinderOptions;
    }) => IFinderOptions;
};
